aboutsummaryrefslogtreecommitdiff
path: root/contrib/ipfilter/test/mtest
diff options
context:
space:
mode:
authorDarren Reed <darrenr@FreeBSD.org>2002-03-19 11:45:24 +0000
committerDarren Reed <darrenr@FreeBSD.org>2002-03-19 11:45:24 +0000
commit0868380a542955ca8e611f323f36c28a48b20fb2 (patch)
treed6bb5e426959109d335f22e7215936da1c3d528c /contrib/ipfilter/test/mtest
parentd564cc784ffa00509dbff15d4784ce85dfce1026 (diff)
Notes
Diffstat (limited to 'contrib/ipfilter/test/mtest')
-rwxr-xr-xcontrib/ipfilter/test/mtest36
1 files changed, 36 insertions, 0 deletions
diff --git a/contrib/ipfilter/test/mtest b/contrib/ipfilter/test/mtest
new file mode 100755
index 000000000000..b185abb2bf7f
--- /dev/null
+++ b/contrib/ipfilter/test/mtest
@@ -0,0 +1,36 @@
+#!/bin/sh
+# multiple rules at the same time
+
+if [ -f /usr/ucb/touch ] ; then
+ TOUCH=/usr/ucb/touch
+else
+ if [ -f /usr/bin/touch ] ; then
+ TOUCH=/usr/bin/touch
+ else
+ if [ -f /bin/touch ] ; then
+ TOUCH=/bin/touch
+ fi
+ fi
+fi
+echo "$1...";
+
+/bin/cp /dev/null results/$1
+
+../ipftest -br regress/$1 -i input/$1 > results/$1
+if [ $? -ne 0 ] ; then
+ exit 1
+fi
+echo "--------" >> results/$1
+
+cmp expected/$1 results/$1
+status=$?
+if [ $status -ne 0 ] ; then
+ exit $status
+fi
+cmp expected/$1 results/$1
+status=$?
+if [ $status -ne 0 ] ; then
+ exit $status
+fi
+$TOUCH $1
+exit 0